#ifndef DIALOG_H_
#define DIALOG_H_

#include "vgi.h"

extern void init_dialog_fsel(void);
extern void init_dialog_exit(void);
extern void init_dialog_wdsize(void);
extern void init_dialog_volume(void);
extern void init_dialog_keydef(void);
extern void init_dialog_sysmenu(void);
extern void init_dialog_network(void);
extern void init_dialog_text(void);
extern void init_dialog_winbright(void);

extern void dialog_cvasfile(const char *, const char *, const char *, char *, size_t);
extern void dialog_transfer_variables(struct VG_Hash *, struct VG_Hash *, const char *);
extern VG_BOOL dialog_exec_subcvas(struct VG_Canvas *, struct VG_Canvas *, const char **);

#endif /* DIALOG_H_ */
